#
# spec file for package perl-Crypt-Rijndael (Version 1.09)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%bcond_with pod

Name:           perl-Crypt-Rijndael
%define cpan_name Crypt-Rijndael
Summary:        Crypt::CBC compliant Rijndael encryption module
Version:        1.09
Release:        2.2
License:        LGPLv2+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Crypt-Rijndael/
#Source:         http://www.cpan.org/modules/by-module/Crypt/Crypt-Rijndael-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
%if %{with pod}
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.00
%endif
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Manifest) >= 1.14

%description
This module implements the Rijndael cipher, which has just been selected as
the Advanced Encryption Standard.

Authors:
--------
    Rafael R. Sevilla
    brian d foy, <bdfoy@cpan.org>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes COPYING LICENSE NEWS README

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 27 2010 chris@computersalat.de
- initial package 1.09
  * created by cpanspec 1.78
